| dfeprach Vitis Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XDfePrach_NCO Struct Reference
Overview

NCO Config. More...

## Data Fields
u32 | PhaseOffset
             [0-2^32-1] Phase offset value which can be
applied to the NCO's phase accumulator More...
u32 | PhaseAcc
           [0-2^32-1] Initial Phase accumulator value, used to
set the NCO phase accumualtor to a specific phase at startup More...
u32 | DualModCount
               [0-2^32-1] The phase accumulator allows for dual
modulus accumulation to create fractional frequencies. More...
u32 | DualModSel
             [0,1] Allows initialisation of the Dual mod select
to a known value More...
s32 | UserFreq
| [-(2^23)-2^23] User defined frequency container More...
s32 | Frequency
| [0-2^32-1] Frequency control word (FCW) More...
u32 | FreqSingleModCount
| [0-2^32-1] Single modulus cycle count (S) More...
u32 | FreqDualModCount
| [0-2^32-1] Dual modulus cycle count (T-S) More...
u32 | FreqPhaseOffset
| [0-2^18-1] Phase offset More...
u32 | NcoGain
          [0-3] Scaling of NCO output (0=0dB, 1=-3dB,
2=-6dB, 3=-9dB) More...

## Detailed Description

NCO Config.

## Field Documentation

u32 XDfePrach_NCO::DualModCount

               [0-2^32-1] The phase accumulator allows for dual

modulus accumulation to create fractional frequencies.

This field allows for initialisation of the dual mod count to a known value

Referenced by XDfePrach_2CC3RCDynamicTestExample(), XDfePrach_2CC3RCReconfigureTestExample(), XDfePrach_2CC3RCTestExample(), and XDfePrach_GetCapturePhase().

u32 XDfePrach_NCO::DualModSel

             [0,1] Allows initialisation of the Dual mod select

to a known value

Referenced by XDfePrach_2CC3RCDynamicTestExample(), XDfePrach_2CC3RCReconfigureTestExample(), XDfePrach_2CC3RCTestExample(), and XDfePrach_GetCapturePhase().

u32 XDfePrach_NCO::FreqDualModCount

[0-2^32-1] Dual modulus cycle count (T-S)

u32 XDfePrach_NCO::FreqPhaseOffset

[0-2^18-1] Phase offset

u32 XDfePrach_NCO::FreqSingleModCount

[0-2^32-1] Single modulus cycle count (S)

s32 XDfePrach_NCO::Frequency

[0-2^32-1] Frequency control word (FCW)

u32 XDfePrach_NCO::NcoGain

          [0-3] Scaling of NCO output (0=0dB, 1=-3dB,

2=-6dB, 3=-9dB)

Referenced by XDfePrach_2CC3RCDynamicTestExample(), XDfePrach_2CC3RCReconfigureTestExample(), and XDfePrach_2CC3RCTestExample().

u32 XDfePrach_NCO::PhaseAcc

           [0-2^32-1] Initial Phase accumulator value, used to

set the NCO phase accumualtor to a specific phase at startup

Referenced by XDfePrach_2CC3RCDynamicTestExample(), XDfePrach_2CC3RCReconfigureTestExample(), XDfePrach_2CC3RCTestExample(), and XDfePrach_GetCapturePhase().

u32 XDfePrach_NCO::PhaseOffset

             [0-2^32-1] Phase offset value which can be

applied to the NCO's phase accumulator

Referenced by XDfePrach_2CC3RCDynamicTestExample(), XDfePrach_2CC3RCReconfigureTestExample(), and XDfePrach_2CC3RCTestExample().

s32 XDfePrach_NCO::UserFreq

[-(2^23)-2^23] User defined frequency container

Referenced by XDfePrach_2CC3RCDynamicTestExample(), XDfePrach_2CC3RCReconfigureTestExample(), and XDfePrach_2CC3RCTestExample().